#pragma once
#include "EntityState.h"
extern const int ES_STATENAME_SPLASH;
//落入水花效果组件
class EntityStateSplash :
    public EntityState
{
public:
    EntityStateSplash();
    void State() override;
    bool fallToWater = false;
    bool setSplash = false;
};

